StandardSyntaxParserConstants (Lucene 10.5.0 queryparser API)
Description: declaration: package: org.apache.lucene.queryparser.flexible.standard.parser, interface: StandardSyntaxParserConstants

Package org.apache.lucene.queryparser.flexible.standard.parser

# Interface StandardSyntaxParserConstants

All Known Implementing Classes:
  `StandardSyntaxParser`, `StandardSyntaxParserTokenManager`

public interface StandardSyntaxParserConstants
Token literal values and constants. Generated by org.javacc.parser.OtherFilesGen#start()

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `_ESCAPED_CHAR`
  RegularExpression Id.
  `static final int`
  `_NUM_CHAR`
  RegularExpression Id.
  `static final int`
  `_QUOTED_CHAR`
  RegularExpression Id.
  `static final int`
  `_TERM_CHAR`
  RegularExpression Id.
  `static final int`
  `_TERM_START_CHAR`
  RegularExpression Id.
  `static final int`
  `_WHITESPACE`
  RegularExpression Id.
  `static final int`
  `AFTER`
  RegularExpression Id.
  `static final int`
  `AND`
  RegularExpression Id.
  `static final int`
  `ATLEAST`
  RegularExpression Id.
  `static final int`
  `BEFORE`
  RegularExpression Id.
  `static final int`
  `CARAT`
  RegularExpression Id.
  `static final int`
  `CONTAINED_BY`
  RegularExpression Id.
  `static final int`
  `CONTAINING`
  RegularExpression Id.
  `static final int`
  `DEFAULT`
  Lexical state.
  `static final int`
  `EOF`
  End of File.
  `static final int`
  `EXTEND`
  RegularExpression Id.
  `static final int`
  `FN_OR`
  RegularExpression Id.
  `static final int`
  `FN_PREFIX`
  RegularExpression Id.
  `static final int`
  `Function`
  Lexical state.
  `static final int`
  `FUZZYTERM`
  RegularExpression Id.
  `static final int`
  `LPAREN`
  RegularExpression Id.
  `static final int`
  `MAXGAPS`
  RegularExpression Id.
  `static final int`
  `MAXWIDTH`
  RegularExpression Id.
  `static final int`
  `MINUS`
  RegularExpression Id.
  `static final int`
  `NON_OVERLAPPING`
  RegularExpression Id.
  `static final int`
  `NOT`
  RegularExpression Id.
  `static final int`
  `NOT_CONTAINED_BY`
  RegularExpression Id.
  `static final int`
  `NOT_CONTAINING`
  RegularExpression Id.
  `static final int`
  `NOT_WITHIN`
  RegularExpression Id.
  `static final int`
  `NUMBER`
  RegularExpression Id.
  `static final int`
  `OP_COLON`
  RegularExpression Id.
  `static final int`
  `OP_EQUAL`
  RegularExpression Id.
  `static final int`
  `OP_LESSTHAN`
  RegularExpression Id.
  `static final int`
  `OP_LESSTHANEQ`
  RegularExpression Id.
  `static final int`
  `OP_MORETHAN`
  RegularExpression Id.
  `static final int`
  `OP_MORETHANEQ`
  RegularExpression Id.
  `static final int`
  `OR`
  RegularExpression Id.
  `static final int`
  `ORDERED`
  RegularExpression Id.
  `static final int`
  `OVERLAPPING`
  RegularExpression Id.
  `static final int`
  `PHRASE`
  RegularExpression Id.
  `static final int`
  `PLUS`
  RegularExpression Id.
  `static final int`
  `QUOTED`
  RegularExpression Id.
  `static final int`
  `Range`
  Lexical state.
  `static final int`
  `RANGE_GOOP`
  RegularExpression Id.
  `static final int`
  `RANGE_QUOTED`
  RegularExpression Id.
  `static final int`
  `RANGE_TO`
  RegularExpression Id.
  `static final int`
  `RANGEEX_END`
  RegularExpression Id.
  `static final int`
  `RANGEEX_START`
  RegularExpression Id.
  `static final int`
  `RANGEIN_END`
  RegularExpression Id.
  `static final int`
  `RANGEIN_START`
  RegularExpression Id.
  `static final int`
  `REGEXPTERM`
  RegularExpression Id.
  `static final int`
  `RPAREN`
  RegularExpression Id.
  `static final int`
  `TERM`
  RegularExpression Id.
  `static final int`
  `TILDE`
  RegularExpression Id.
  `static final String[]`
  `tokenImage`
  Literal token values.
  `static final int`
  `UNORDERED`
  RegularExpression Id.
  `static final int`
  `UNORDERED_NO_OVERLAPS`
  RegularExpression Id.
  `static final int`
  `WILDCARD`
  RegularExpression Id.
  `static final int`
  `WITHIN`
  RegularExpression Id.

- ## Field Details

  - ### EOF

    static final int EOF
    End of File.
    See Also:
      - Constant Field Values

  - ### _NUM_CHAR

    static final int _NUM_CHAR
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _ESCAPED_CHAR

    static final int _ESCAPED_CHAR
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _TERM_START_CHAR

    static final int _TERM_START_CHAR
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _TERM_CHAR

    static final int _TERM_CHAR
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _WHITESPACE

    static final int _WHITESPACE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _QUOTED_CHAR

    static final int _QUOTED_CHAR
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### AND

    static final int AND
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### OR

    static final int OR
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### NOT

    static final int NOT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### FN_PREFIX

    static final int FN_PREFIX
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### PLUS

    static final int PLUS
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### MINUS

    static final int MINUS
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### RPAREN

    static final int RPAREN
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### OP_COLON

    static final int OP_COLON
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### OP_EQUAL

    static final int OP_EQUAL
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### OP_LESSTHAN

    static final int OP_LESSTHAN
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### OP_LESSTHANEQ

    static final int OP_LESSTHANEQ
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### OP_MORETHAN

    static final int OP_MORETHAN
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### OP_MORETHANEQ

    static final int OP_MORETHANEQ
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### CARAT

    static final int CARAT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### TILDE

    static final int TILDE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### QUOTED

    static final int QUOTED
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### NUMBER

    static final int NUMBER
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### TERM

    static final int TERM
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### REGEXPTERM

    static final int REGEXPTERM
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### RANGEIN_START

    static final int RANGEIN_START
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### RANGEEX_START

    static final int RANGEEX_START
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### LPAREN

    static final int LPAREN
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### ATLEAST

    static final int ATLEAST
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### AFTER

    static final int AFTER
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### BEFORE

    static final int BEFORE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### CONTAINED_BY

    static final int CONTAINED_BY
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### CONTAINING

    static final int CONTAINING
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### EXTEND

    static final int EXTEND
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### FN_OR

    static final int FN_OR
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### FUZZYTERM

    static final int FUZZYTERM
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### MAXGAPS

    static final int MAXGAPS
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### MAXWIDTH

    static final int MAXWIDTH
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### NON_OVERLAPPING

    static final int NON_OVERLAPPING
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### NOT_CONTAINED_BY

    static final int NOT_CONTAINED_BY
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### NOT_CONTAINING

    static final int NOT_CONTAINING
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### NOT_WITHIN

    static final int NOT_WITHIN
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### ORDERED

    static final int ORDERED
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### OVERLAPPING

    static final int OVERLAPPING
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### PHRASE

    static final int PHRASE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### UNORDERED

    static final int UNORDERED
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### UNORDERED_NO_OVERLAPS

    static final int UNORDERED_NO_OVERLAPS
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### WILDCARD

    static final int WILDCARD
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### WITHIN

    static final int WITHIN
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### RANGE_TO

    static final int RANGE_TO
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### RANGEIN_END

    static final int RANGEIN_END
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### RANGEEX_END

    static final int RANGEEX_END
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### RANGE_QUOTED

    static final int RANGE_QUOTED
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### RANGE_GOOP

    static final int RANGE_GOOP
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### Function

    static final int Function
    Lexical state.
    See Also:
      - Constant Field Values

  - ### Range

    static final int Range
    Lexical state.
    See Also:
      - Constant Field Values

  - ### DEFAULT

    static final int DEFAULT
    Lexical state.
    See Also:
      - Constant Field Values

  - ### tokenImage

    static final String[] tokenImage
    Literal token values.